package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReview.create();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/access_review \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"completionDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"duplicateFrom": "<string>",
"expandMask": {
"paths": [
"<string>"
]
},
"notificationConfig": {
"sendClose": true,
"sendKickoff": true,
"sendReminders": true
},
"ownerIds": [
"<string>"
],
"policyId": "<string>",
"scopeV2": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceSelection": {},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review"
payload = {
"completionDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"duplicateFrom": "<string>",
"expandMask": { "paths": ["<string>"] },
"notificationConfig": {
"sendClose": True,
"sendKickoff": True,
"sendReminders": True
},
"ownerIds": ["<string>"],
"policyId": "<string>",
"scopeV2": {
"accountCelExpression": { "expression": "<string>" },
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": True
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"complianceFrameworkAttributeValueIds": ["<string>"],
"riskLevelAttributeValueIds": ["<string>"]
},
"celExpression": { "expression": "<string>" },
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": ["<string>"],
"includedAccessProfileIds": ["<string>"]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceSelection": {},
"resourceTypeSelections": {},
"selectedUsers": { "userIds": ["<string>"] },
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": ["<string>"],
"multiUserProfileAttributes": {},
"userStatus": []
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
completionDate: '2023-11-07T05:31:56Z',
description: '<string>',
displayName: '<string>',
duplicateFrom: '<string>',
expandMask: {paths: ['<string>']},
notificationConfig: {sendClose: true, sendKickoff: true, sendReminders: true},
ownerIds: ['<string>'],
policyId: '<string>',
scopeV2: {
accountCelExpression: {expression: '<string>'},
accountCriteria: {accountTypes: [], appUserStatuses: [], noAccountOwner: true},
allAccessConflicts: {},
allAccounts: {},
allGrants: {},
allUsers: {},
appAccess: {},
appSelectionCriteria: {
complianceFrameworkAttributeValueIds: ['<string>'],
riskLevelAttributeValueIds: ['<string>']
},
celExpression: {expression: '<string>'},
grantsByCriteria: {
accessProfileFilter: {excludedAccessProfileIds: ['<string>'], includedAccessProfileIds: ['<string>']},
daysSinceAdded: '<string>',
daysSinceLastUsed: '<string>',
daysSinceReviewed: '<string>',
grantsAddedBetween: {endDate: '2023-11-07T05:31:56Z', startDate: '2023-11-07T05:31:56Z'}
},
resourceSelection: {},
resourceTypeSelections: {},
selectedUsers: {userIds: ['<string>']},
specificAccessConflicts: {},
specificResources: {},
userCriteria: {
groupAppEntitlementsRef: [{appId: '<string>', id: '<string>'}],
managerUserIds: ['<string>'],
multiUserProfileAttributes: {},
userStatus: []
}
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessReview": {
"accessReview": {
"accessReviewTemplateId": "<string>",
"autoCloseCampaign": true,
"autoGenerateReport": true,
"autoResolve": true,
"autoStartCampaign": true,
"bindings": {},
"campaignHealth": {
"checkedAt": "2023-11-07T05:31:56Z",
"phantomLockedCount": 123
},
"campaignInsights": {
"markdown": "<string>"
},
"closedAt": "2023-11-07T05:31:56Z",
"columnConfig": {
"columns": []
},
"completionDate": "2023-11-07T05:31:56Z",
"connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"description": "<string>",
"displayName": "<string>",
"exclusionScope": {
"appUserStatuses": [],
"appUserTypes": []
},
"exemptCertifiedAccessConflicts": true,
"expectedTicketCount": 123,
"hasAccuracySupport": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"multiApp": {
"appEntitlementDetails": {},
"appEntitlements": {}
},
"notificationConfig": {
"sendClose": true,
"sendKickoff": true,
"sendReminders": true
},
"policyId": "<string>",
"reviewInstructions": "<string>",
"reviewerAttributeConfig": {
"bindings": [
{
"appId": "<string>",
"attributeKey": "<string>"
}
]
},
"scheduledStartDate": "2023-11-07T05:31:56Z",
"scope": {
"appUserStatuses": [],
"appUserTypes": []
},
"scopeV2": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceSelection": {},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"scopingVersion": "<string>",
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"singleApp": {
"appId": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
},
"createdByUserPath": "<string>",
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
},
"policyPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Create
Create creates a new access review campaign with the specified name, policy, and owners.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReview.create();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The AccessReviewServiceCreateRequest message.
An optional description providing context about the campaign.
The display name for the new campaign.
The ID of an existing campaign to copy scope and entitlement configuration from. Optional.
The AccessReviewExpandMask message.
Show child attributes
Show child attributes
Controls which email notifications are sent during the access review lifecycle.
Show child attributes
Show child attributes
The IDs of the users who own and manage this campaign. At least one owner is required.
The ID of the review policy that governs task assignment and resolution.
The type of scoping method for the campaign (e.g., by entitlements, by access conflicts, or by resource).
ACCESS_REVIEW_SCOPE_TYPE_UNSPECIFIED, ACCESS_REVIEW_SCOPE_TYPE_BY_ENTITLEMENTS, ACCESS_REVIEW_SCOPE_TYPE_BY_ACCESS_CONFLICTS, ACCESS_REVIEW_SCOPE_TYPE_BY_RESOURCE, ACCESS_REVIEW_SCOPE_TYPE_BY_INHERITANCE The AccessReviewScopeV2 message.
This message contains a oneof named apps_and_resources_scope. Only a single field of the following list may be set at a time:
- appAccess
- specificResources
- appSelectionCriteria
- resourceTypeSelections
This message contains a oneof named users_scope. Only a single field of the following list may be set at a time:
- allUsers
- selectedUsers
- userCriteria
- celExpression
This message contains a oneof named accounts_scope. Only a single field of the following list may be set at a time:
- allAccounts
- accountCriteria
- accountCelExpression
This message contains a oneof named grants_scope. Only a single field of the following list may be set at a time:
- allGrants
- grantsByCriteria
This message contains a oneof named access_conflicts_scope. Only a single field of the following list may be set at a time:
- allAccessConflicts
- specificAccessConflicts
This message contains a oneof named resource_scope. Only a single field of the following list may be set at a time:
- resourceSelection
Show child attributes
Show child attributes
Was this page helpful?